#pragma once
#include "game_tab/Game.hpp"

class GameBase {

public:
  virtual Game *GetGame(std::uint32_t id) = 0;
  virtual bool NextGame() = 0;
  virtual std::string GetTag(std::string tag) = 0;
  virtual void Reset() = 0;
};